# MapEntry<K, V> class

A key/value pair representing an entry in a Map.

## Constructors

MapEntry(K key, V value)
  Creates an entry with `key` and `value`.
  const
  factory

## Properties

key → K
  The key of the entry.
  final
value → V
  The value associated to key in the map.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited